Subject: Re: bug#20296: 11.88.3; LaTeX-fill-paragraph gives unexpected result

From: David Kastrup <[email-masked]>
Date: Sat, 11 Apr 2015 14:07:11 +0200

Tassilo Horn <[email-masked]> writes:

> jfbu <[email-masked]> writes:
>
> Hi!
>> I have identified the bad config (sorry for not having done it
>> earlier).
>>
>> Turns out I have 
>>
>> (custom-set-variables
>>  ;; custom-set-variables was added by Custom.
>>  ;; If you edit it by hand, you could mess it up, so be careful.
>>  ;; Your init file should contain only one such instance.
>>  ;; If there is more than one, they won't work right.
>>  ; ...
>>  '(LaTeX-verbatim-macros-with-delims nil)
>>  ;...
>> )
>>
>> For my current context, commenting out the bad line is enough of a fix
>> but I would like to understand better why the bad line is bad.
>
> I can reproduce that here but I have no clue why that line breaks
> indentation.  But at least the problem isn't there in the development
> version.  I'll try to make a new ELPA release ASAP.  Please report back
> if that fixes things.

(regexp-opt nil t) => ""

Which does _not_ heed "If optional PAREN is non-nil, ensure that the
returned regexp is enclosed by at least one regexp grouping construct."
and matches everywhere instead of nowhere.

Probably enough to throw AUCTeX off track.

-- 
David Kastrup